Skip to main content
GET
/
repos
/
{repo_id}
/
collaborators
cURL
curl --request GET \
  --url https://api.diversion.dev/v0/repos/{repo_id}/collaborators \
  --header 'Authorization: Bearer <token>'
{
  "collaborators": [
    {
      "collaboration_id": "<string>",
      "user_id": "<string>",
      "access_mode": "READ",
      "name": "<string>",
      "email": "jsmith@example.com"
    }
  ],
  "invites": [
    {
      "invite_id": 17,
      "inviting_user_id": "<string>",
      "invited_email": "jsmith@example.com",
      "access_mode": "READ",
      "created": "2023-11-07T05:31:56Z",
      "expires": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2 with the implicit grant flow

Path Parameters

repo_id
string
required

The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.

Required string length: 3 - 128
Example:

"example_id"

Response

200 - application/json

A list of collaborators and pending invites

collaborators
object[]
invites
object[]